#include <bits/stdc++.h>
using namespace std;
int niz[1000005];
long long dp[30];
int main()
{
    ios_base::sync_with_stdio(false);
    long long n, i, j, mod = 1000000007;
    char ch;
    cin >> n;
    for(i = 0; i < n; i++)
    {
        cin >> ch;
        niz[i] = ch - 'A' + 1;
    }
    dp[0] = 1;
    for(i = 0; i < n; i++)
        for(j = 1; j <= 26; j++)
            if(j == niz[i]) dp[j] = (dp[j] + dp[j - 1]) % mod;
    cout << dp[26];
    return 0;
}